[packages] irssi-glib1: simply fail if glib1 is not available instead of waiting...
[openwrt/svn-archive/archive.git] / net / irssi-glib1 / patches / 100-cross_compiling_fix.patch
1 --- a/configure
2 +++ b/configure
3 @@ -21848,13 +21848,6 @@ _ACEOF
4
5 echo "$as_me:$LINENO: checking size of off_t" >&5
6 echo $ECHO_N "checking size of off_t... $ECHO_C" >&6
7 -if test "$cross_compiling" = yes; then
8 - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
9 -See \`config.log' for more details." >&5
10 -echo "$as_me: error: cannot run test program while cross compiling
11 -See \`config.log' for more details." >&2;}
12 - { (exit 1); exit 1; }; }
13 -else
14 cat >conftest.$ac_ext <<_ACEOF
15 /* confdefs.h. */
16 _ACEOF
17 @@ -21872,35 +21865,8 @@ cat >>conftest.$ac_ext <<_ACEOF
18 }
19
20 _ACEOF
21 -rm -f conftest$ac_exeext
22 -if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
23 - (eval $ac_link) 2>&5
24 - ac_status=$?
25 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
26 - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
27 - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
28 - (eval $ac_try) 2>&5
29 - ac_status=$?
30 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
31 - (exit $ac_status); }; }; then
32 -
33 - sizeof_off_t=`cat conftestval`
34 - rm -f conftestval
35 -
36 -else
37 - echo "$as_me: program exited with status $ac_status" >&5
38 -echo "$as_me: failed program was:" >&5
39 -sed 's/^/| /' conftest.$ac_ext >&5
40 -
41 -( exit $ac_status )
42 -
43 - { { echo "$as_me:$LINENO: error: Unsupported off_t size" >&5
44 -echo "$as_me: error: Unsupported off_t size" >&2;}
45 - { (exit 1); exit 1; }; }
46 -
47 -fi
48 + sizeof_off_t=8
49 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
50 -fi
51 echo "$as_me:$LINENO: result: $sizeof_off_t" >&5
52 echo "${ECHO_T}$sizeof_off_t" >&6
53
54 @@ -22905,6 +22871,7 @@ _ACEOF
55 echo "*** you can just unpack it to Irssi's source directory and"
56 echo "*** Irssi will automatically compile and use it."
57 echo
58 + exit 1
59
60 glib_url=ftp://ftp.gtk.org/pub/gtk/v2.8/
61 glib_file=glib-2.8.3.tar.gz